Subject: Re: Tickless Hz/hrtimers/etc. on PowerPC

From: Domen Puncer <[email-masked]>
Date: Fri, 13 Jul 2007 10:49:37 +0200

On 12/07/07 18:11 +0400, Sergei Shtylyov wrote:
> Hello.
> 
> Domen Puncer wrote:
> 
> >>Does anyone have the definitive patchset to enable the tickless hz,
> >>some kind of hrtimer and the other related improvements in the
> >>PowerPC tree?
> 
> >I use attached patches for tickless.
> >Order in which they're applied:
> 
> >PowerPC_GENERIC_CLOCKEVENTS.patch
> 
>    That's my patch which used to have both description and signoff that I'm 
> not seeing in the attached version...

Err, yes, sorry, I don't remember anymore where I picked them,
but I'm pretty sure I didn't go delete description and signoff
by hand.

> 
> >PowerPC_GENERIC_TIME.linux-2.6.18-rc6_timeofday-arch-ppc_C6.patch
> 
>    This one should come first of all, I'd say...
>    Note that it breaks TOD vsyscalls, so you need my patch that removes 
> support for those for the time being (i.e. until Tony hopefully fixes this 
> :-).  Also, there was a patch implementing read_persistent_clock() and 
> getting rid of the code setting xtime in time_init().  Attaching them 
> both...
> 
> >PowerPC_enable_HRT_and_dynticks_support.patch
> 
>    Again looks like my patch with description/signoff missing for whatever
> reason...
> 
> >PowerPC_no_hz_fix.patch
> 
>    This has nothing to do with CONFIG_NO_HZ per se -- it fixes the 
> compilation error introduced by John's patch.
> 
> >tickless-enable.patch
> 
>    That one doesn't look quite right...

That's because I made it ;-)

It did the trick of enabling tickless though.

	Domen